#ifndef MAT4X4_INLINE_H
#define MAT4X4_INLINE_H

#include "ts_errors.h"
#include <math.h>

static inline VecReal mat4x4_elt(const mat4x4*restrict m, int i, int j) 
{ 
  BOUNDS_CHECK(i, 0, 3);
  BOUNDS_CHECK(j, 0, 3);

  return m->elts[4*j+i]; 
}

#endif /* MAT4X4_INLINE_H */

