#ifndef TS_STATS_H
#define TS_STATS_H

#include <stdlib.h>

#define MODULE_NAME TS_STATS

struct ts_accumulated_stats
{
  double mean;
  double var;
  size_t count;
  double min;
  double max;
};

void ts_accumulated_stats_init(struct ts_accumulated_stats*restrict stats, double value);
void ts_accumulate_stats(struct ts_accumulated_stats*restrict stats, double newValue);

#undef MODULE_NAME

#endif /* TS_STATS_H */

