#ifndef TS_CHEM_DRIVER_YAML_H
#define TS_CHEM_DRIVER_YAML_H

#include "ts_chem_driver.h"
#include "tsch_config.h"

#define MODULE_NAME TS_CHEM_DRIVER_YAML

ts_chem_driver *ts_chem_driver_from_yaml(const char *s, size_t slen, TSResult *errp, int ignore_missing);

struct tsch_config *tsch_parse_yaml(struct tsch_config_pool *pool,
    const char *s, size_t slen, TSResult *errp);

#undef MODULE_NAME

#endif /* TS_CHEM_DRIVER_YAML_H */

