#include "mruby.h"
#include "mruby/class.h"
#include "mruby/string.h"

static 
mrb_value mod_name(mrb_state* mrb, mrb_value mod)
{
  mrb_value path = mrb_class_path(mrb, mrb_class_ptr(mod));
  if (!mrb_nil_p(path)) { return mrb_str_dup(mrb, path); }
  return path;
}

void
mrb_mruby_module_ext_gem_init(mrb_state* mrb)
{
  mrb_define_method(mrb, 
      mrb->module_class, 
      "name", mod_name, MRB_ARGS_NONE());

  mrb_define_alias(mrb, mrb->module_class,
      "public_instance_methods", "instance_methods");
}

void
mrb_mruby_module_ext_gem_final(mrb_state* mrb)
{
}
