#ifndef TSMRB_LATTICE_H
#define TSMRB_LATTICE_H

#include "ts_lattice.h"
#include "mruby.h"
#include "tsmrb_classes.h"

#define MODULE_NAME TSMRB_C_LATTICE

ts_lattice* tsmrb_to_lattice(mrb_state* mrb, mrb_value rbLatt);

struct RClass* tsmrb_define_lattice(mrb_state* mrb, struct RClass* mod);

static inline struct RClass*
tsmrb_lattice_class(mrb_state* mrb)
{
  return tsmrb_classes(mrb)->cLattice;
}

void tsmrb_check_on_lattice(mrb_state* mrb, const ts_lattice* latt, mrb_int i, mrb_int j);

void tsmrb_lattice_setup_callback_refs(mrb_state* mrb, mrb_value obj);

#undef MODULE_NAME

#endif /* TSMRB_LATTICE_H */

