#ifndef TSMRB_MAT3X3_H
#define TSMRB_MAT3X3_H

#include "vector3.h"
#include "mruby.h"
#include "tsmrb_classes.h"

#define MODULE_NAME TSRB_CMAT3X3

static inline struct RClass*
tsmrb_mat3x3_class(mrb_state* mrb)
{
  return tsmrb_classes(mrb)->cMat3x3;
}

struct RClass* tsmrb_define_mat3x3(mrb_state* mrb, struct RClass* mod);

mat3x3* tsmrb_to_mat3x3(mrb_state* mrb, mrb_value obj);
mrb_value tsmrb_new_mat3x3(mrb_state* mrb, mat3x3** mp);
mrb_value tsmrb_from_mat3x3(mrb_state* mrb, const mat3x3*restrict m);

#undef MODULE_NAME

#endif /* TSMRB_MAT3X3_H */


