#ifndef TSMRB_RNG_H
#define TSMRB_RNG_H

#include "mruby.h"
#include "tsmrb_classes.h"

static inline struct RClass*
tsmrb_rng_class(mrb_state* mrb)
{
  return tsmrb_classes(mrb)->cRNG;
}

void tsmrb_check_rng(mrb_state* mrb, mrb_value obj);
struct ts_rng* tsmrb_to_rng(mrb_state* mrb, mrb_value obj);
mrb_value tsmrb_from_rng(mrb_state* mrb, struct ts_rng* rng);
struct RClass* tsmrb_define_rng(mrb_state* mrb, struct RClass* mod);


#endif /* TSMRB_RNG_H */

