
module KeywordArguments
  def checkKeyword(kwArgs, kw, mesg=nil)
    kwArgs[kw] || \
      raise(ArgumentError,
            mesg ? mesg : "missing keyword argument #{kw.to_s}")
  end

  def requiredKeywords(kwArgs, *kwList)
    kwList.map do |kw|
      kwArgs[kw] || raise(ArgumentError, "keyword #{kw.to_s} missing")
    end
  end

end

