macro(CONCAT_FILES _dest)
  unset(_flist)
  unset(_deplist)
  if(${ARGC} GREATER 1)
    set(_first TRUE)
    set(_args ${ARGV})
    foreach(_ff IN LISTS _args)
      if (_first)
        set(_first FALSE)
      else()
        list(APPEND _flist ${_ff})
      endif()
    endforeach()
  endif()

  if(UNIX)
    add_custom_command(OUTPUT ${_dest}
      COMMAND cat ${_flist} > ${_dest}
      DEPENDS ${_flist}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  elseif(WIN32)
    message(ERROR "CONCAT_FILES not yet implemented on Win32!")
  endif()
endmacro(CONCAT_FILES)
