#ifndef VECTOR4_INLINE_H
#define VECTOR4_INLINE_H

#include "ts_errors.h"
#include <math.h>
#include <stddef.h>

static inline void vector4_set(vector4*restrict a, const vector4*restrict b)
{
  VECTOR4_X(a) = VECTOR4_X(b);
  VECTOR4_Y(a) = VECTOR4_Y(b);
  VECTOR4_Z(a) = VECTOR4_Z(b);
  VECTOR4_W(a) = VECTOR4_W(b);
}

#endif /* VECTOR4_INLINE_H */

