#include <stdio.h>

#include "mruby.h"
#include "mruby/class.h"
#include "mruby/string.h"
#include "mruby/array.h"


static mrb_value
mrb_kernel_trap(mrb_state *mrb, mrb_value self) {
  /*
  char* signame = NULL;
  int siglen = 0;
  mrb_value opt_proc  = mrb_nil_value();
  mrb_value opt_block = mrb_nil_value();

  int nargs = mrb_get_args(mrb, "s|o&",
      &signame, &siglen,
      &opt_proc,
      &opt_block);
      */

  /*
  fprintf(stderr, "\nnargs = %d\n", nargs);
  fprintf(stderr, "  -- proc?  %s\n", 
      mrb_nil_p(opt_proc) ? "NO" : "YES");
  fprintf(stderr, "  -- proc: ");
  mrb_p(mrb, opt_proc);
  fprintf(stderr, "\n");
  fprintf(stderr, "  -- block? %s\n", 
      mrb_nil_p(opt_block) ? "NO" : "YES");
  fprintf(stderr, "  -- block: ");
  mrb_p(mrb, opt_block);
  fprintf(stderr, "\n");
  */

  return mrb_nil_value();
}

static mrb_value
mrb_debug_hook(mrb_state *mrb, mrb_value self) {
  return mrb_nil_value();
}

void
mrb_mruby_signal_gem_init(mrb_state* mrb)
{
  mrb_define_method(mrb,
      mrb->kernel_module,
      "trap", mrb_kernel_trap, 
      MRB_ARGS_REQ(1) | 
      MRB_ARGS_OPT(1) |
      MRB_ARGS_BLOCK());

  mrb_define_method(mrb, mrb->kernel_module,
      "debug_hook", mrb_debug_hook, MRB_ARGS_NONE() );

}

void
mrb_mruby_signal_gem_final(mrb_state* mrb)
{
}

