#ifndef TSMRB_FENWICK_H
#define TSMRB_FENWICK_H

#include "mruby.h"
#include "tsmrb_classes.h"

#include "ts_fenwick.h"

static inline struct RClass*
tsmrb_fenwick_tree_class(mrb_state* mrb)
{
  return tsmrb_classes(mrb)->cFenwickTree;
}

struct RClass* tsmrb_define_fenwick_tree(mrb_state* mrb);

ts_fenwick_tree* tsmrb_to_fenwick_tree(mrb_state* mrb, mrb_value obj);

#endif /* TSMRB_FENWICK_H */

