#ifndef TSMRB_IO_H
#define TSMRB_IO_H

#include <mruby.h>
#include <ts_errors.h>
#include <stdio.h>

#define MODULE_NAME TSMRB_IO

extern mrb_value mrb_io_open(mrb_state *mrb, FILE *f);
extern mrb_value mrb_file_open(mrb_state *mrb, const char *path, const char *mode);
extern FILE *mrb_io_file_noerr(mrb_state *mrb, mrb_value io);
extern FILE *mrb_io_file(mrb_state *mrb, mrb_value io);
extern int mrb_io_closed_p(mrb_state *mrb, mrb_value io);

struct RClass *tsmrb_define_io(mrb_state *mrb, struct RClass *mod);
mrb_value tsmrb_get_stdout(mrb_state *mrb);

#undef MODULE_NAME

#endif /* TSMRB_IO_H */

