#ifndef TSMRB_QUAT_H
#define TSMRB_QUAT_H

#include "vector3.h"
#include "mruby.h"
#include "tsmrb_classes.h"

#define MODULE_NAME TSRB_QUAT

static inline struct RClass*
tsmrb_quat_class(mrb_state* mrb)
{
  return tsmrb_classes(mrb)->cQuat;
}

struct RClass* tsmrb_define_quat(mrb_state* mrb, struct RClass* mod);

quat4* tsmrb_to_quat(mrb_state* mrb, mrb_value obj);
mrb_value tsmrb_from_quat(mrb_state* mrb, const quat4*restrict q);

mrb_value tsmrb_new_quat(mrb_state* mrb, quat4** qp);

void ary_to_quat(mrb_state* mrb, mrb_value obj, quat4* v);
mrb_value quat_to_ary(mrb_state* mrb, quat4* v);

#undef MODULE_NAME

#endif /* TSMRB_QUAT_H */


